# Class GetAutoSwitchRequest

#### Hierarchy

- unknown
  - GetAutoSwitchRequest

- Defined in src/protobuf/grpc_pb.d.ts:1186
- Defined in src/protobuf/grpc_pb.d.ts:1195

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetAutoSwitchRequest(): GetAutoSwitchRequest

- #### Returns GetAutoSwitchRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1187

### toObject

- toObject(includeInstance?: boolean): GetAutoSwitchRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetAutoSwitchRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1188

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAutoSwitchRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAutoSwitchRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1191

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAutoSwitchRequest, reader: BinaryReader): GetAutoSwitchRequest

- #### Parameters

  - ##### message: GetAutoSwitchRequest

  - ##### reader: BinaryReader

  #### Returns GetAutoSwitchRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1192

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAutoSwitchRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetAutoSwitchRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1190

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetAutoSwitchRequest): GetAutoSwitchRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAutoSwitchRequest

  #### Returns GetAutoSwitchRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1189

Generated using TypeDoc